public class MathDemo {

  public static void main(String[] args) {
     double value = 10.3;
     double dx = 1.0;
     double dy = 1.0;

     System.out.println("Ceil of  " + value + " is " + Math.ceil(value));
     System.out.println("Floor of " + value + " is " + Math.floor(value));

     System.out.println("\nMath.PI: " + Math.PI);
     System.out.println("Rounded PI: " + Math.round(Math.PI));
     System.out.printf("Formated print with %%4.2f: %4.2f%n", Math.PI);
     System.out.printf("Formated print with %%6.4f: %6.4f%n", Math.PI);

     System.out.println("\nMath.E: " + Math.E + "\n");

     double angle1 = Math.atan2(dy, dx);
     double angle2 = Math.atan2(-dy, dx);
     System.out.printf("Angle on positive side %+4.2f%n", Math.toDegrees(angle1));
     System.out.printf("Angle on negative side %+4.2f%n", Math.toDegrees(angle2));
  }
}
